/*  MICROTHEMER STYLES  */


/*= Dramas ==================== */

/** Dramas >> Js wpv form only input style **/
.js-wpv-form-only .input-style {
	height: 35px !important;
	padding-left: 10px !important;
	border-radius: 5px !important;
}
.js-wpv-form-only .input-style:focus {
	border: 1px solid rgb(0, 0, 0) !important;
}

/** Dramas >> Js wpv form only btn _2 **/
.js-wpv-form-only .btn {
	background-color: rgb(79, 193, 150) !important;
	background-image: linear-gradient(135deg, rgb(79, 193, 150), rgb(20, 228, 150), rgb(138, 192, 151)) !important;
	margin-top: auto !important;
	margin-bottom: auto !important;
}

/** Dramas >> Js wpv form only col md 3:(4) **/
.js-wpv-form-only .col-md-3:nth-of-type(4) {
	display: -webkit-box !important;
	display: -moz-box !important;
	display: -ms-flexbox !important;
	display: -webkit-flex !important;
	display: flex !important;
	-webkit-justify-content: flex-start !important;
	justify-content: flex-start !important;
	-webkit-align-items: center !important;
	align-items: center !important;
	-webkit-align-content: center !important;
	align-content: center !important;
}

/** Dramas >> Grid container **/
.grid-container {
	display: grid !important;
	grid-row-gap: 32px !important;
	row-gap: 32px !important;
	grid-template-columns: 1fr 1fr 1fr 1fr !important;
	grid-template-rows: auto !important;
	justify-items: center !important;
}

/** Dramas >> Grid items **/
.grid-items {
	max-width: 200px !important;
	box-sizing: content-box !important;
}

/** Dramas >> Drama image image **/
.drama-image img {
	min-width: 200px !important;
	max-width: 200px !important;
	min-height: 300px !important;
	max-height: 300px !important;
	box-sizing: content-box !important;
	border: 1px solid rgb(0, 0, 0) !important;
	display: block !important;
}

/** Dramas >> Drama title link **/
.drama-title a {
	font-size: 16px !important;
	font-weight: bold !important;
	display: block !important;
}

/** Dramas >> Drama genre **/
.drama-genre {
	font-size: 12px !important;
}


/*= Recap Posts =============== */

/** Recap Posts >> Drama title recap link **/
.drama-title-recap a {
	color: rgb(255, 255, 255) !important;
}


/*= Drama Page ================ */

/** Drama Page >> Drama stars container **/
.drama-stars-container {
	max-width: 670px !important;
	box-sizing: content-box !important;
	display: grid !important;
	grid-gap: 40px 50px !important;
	gap: 40px 50px !important;
	grid-template-columns: 1fr 1fr !important;
}

/** Drama Page >> Drama casts item **/
.drama-casts-item {
	width: 320px !important;
	min-width: 300px !important;
	max-width: 320px !important;
	box-sizing: content-box !important;
	display: -webkit-inline-flexbox !important;
	display: -moz-inline-flexbox !important;
	display: -ms-inline-flexbox !important;
	display: inline-flex !important;
}

/** Drama Page >> Drama image **/
.drama-image {
	display: inline-block !important;
}

/** Drama Page >> Drama casts picture image **/
.drama-casts-picture img {
	width: 150px !important;
	min-width: 150px !important;
	max-width: 150px !important;
	height: 150px !important;
	min-height: 150px !important;
	max-height: 150px !important;
	border-radius: 35px !important;
}

/** Drama Page >> Drama cast detail **/
.drama-cast-detail {
	vertical-align: middle !important;
	width: 100% !important;
	padding: 10% 0 10% 0 !important;
}

/** Drama Page >> Drama casts name link **/
.drama-casts-name a {
	line-height: 2 !important;
	font-weight: bold !important;
	text-align: center !important;
	display: block !important;
}

/** Drama Page >> Drama casts character **/
.drama-casts-character {
	color: rgb(255, 39, 104) !important;
	text-align: center !important;
	display: block !important;
}

/** Drama Page >> Drama casts role **/
.drama-casts-role {
	color: rgb(122, 122, 122) !important;
	text-align: center !important;
	display: block !important;
}


/*= All Stars Page ============ */

/** All Stars Page >> Grid container **/
.grid-container-stars {
	display: grid !important;
	grid-row-gap: 30px !important;
	row-gap: 30px !important;
	grid-template-columns: 1fr 1fr 1fr !important;
	grid-template-rows: auto !important;
	justify-items: center !important;
}

/** All Stars Page >> Stars title link **/
.stars-title a {
	color: rgb(255, 39, 104) !important;
	font-weight: bold !important;
}

/** All Stars Page >> Stars yearborn **/
.stars-yearborn {
	display: block !important;
}

/** All Stars Page >> Stars details **/
.stars-details {
	text-align: center !important;
	margin-top: 5px !important;
}

/** All Stars Page >> Actor row **/
.actor-row {
	display: -webkit-box !important;
	display: -moz-box !important;
	display: -ms-flexbox !important;
	display: -webkit-flex !important;
	display: flex !important;
}

/** All Stars Page >> Actor row form group **/
.actor-row .form-group {
	padding-top: 10px !important;
	display: -webkit-box !important;
	display: -moz-box !important;
	display: -ms-flexbox !important;
	display: -webkit-flex !important;
	display: flex !important;
	-webkit-flex-direction: row !important;
	-moz-flex-direction: row !important;
	-ms-flex-direction: row !important;
	flex-direction: row !important;
	-webkit-justify-content: flex-start !important;
	justify-content: flex-start !important;
	display: -webkit-box !important;
	display: -moz-box !important;
	display: -ms-flexbox !important;
	display: -webkit-flex !important;
	display: flex !important;
}

/** All Stars Page >> Js wpv form only label **/
.js-wpv-form-only label {
	padding-right: 10px !important;
}

/** All Stars Page >> Js wpv form only btn **/
.js-wpv-form-only .btn {
	display: block !important;
}

/** All Stars Page >> Search title **/
.search-title {
	color: rgb(255, 39, 104) !important;
	font-weight: bold !important;
	margin-bottom: 15px !important;
	margin-left: 5px !important;
}


/*= Stars Page ================ */

/** Stars Page >> Individual drama details **/
.individual-drama-details {
	height: 300px !important;
	min-height: 300px !important;
	max-height: 300px !important;
	box-sizing: content-box !important;
	margin-top: 10px !important;
	margin-bottom: 10px !important;
	display: grid !important;
	grid-column-gap: 5px !important;
	column-gap: 5px !important;
	grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr !important;
	justify-items: center !important;
	-webkit-align-items: center !important;
	align-items: center !important;
}
.individual-drama-details > :nth-child(1) {
	grid-area: 1 / 1 / 2 / 3 !important;
	-webkit-align-self: center !important;
	align-self: center !important;
}
.individual-drama-details > :nth-child(2) {
	grid-area: 1 / 3 / 2 / 4 !important;
}
.individual-drama-details > :nth-child(3) {
	grid-area: 1 / 4 / 2 / 7 !important;
}

/** Stars Page >> Table row table data **/
.related-drama-actors tr td {
	border-bottom: 1px solid rgb(220, 53, 69) !important;
	border-top-width: 1px !important;
	border-style: none none solid none !important;
}

/** Stars Page >> Wpv loop table row:(2n) **/
.related-drama-actors tr:nth-of-type(2n) {
	background-color: rgba(220, 53, 69, 0.06) !important;
}

/** Stars Page >> Actor details table row **/
.actor-details tr {
	background-color: rgba(220, 53, 69, 0.04) !important;
	border-style: hidden !important;
}


/*( Large Desktop )*/
@media (min-width: 1200px) {

	/*= Recap Posts =============== */

	/** Recap Posts >> Drama title recap link **/
	.drama-title-recap a {
	font-size: 28px !important;
}


}


/*( Tablet & Phone )*/
@media (max-width: 767px) {

	/*= Dramas ==================== */

	/** Dramas >> Grid container **/
	.grid-container {
	display: grid !important;
	grid-row-gap: 24px !important;
	row-gap: 24px !important;
	grid-template-columns: 1fr 1fr 1fr !important;
	grid-template-rows: auto !important;
}


	/*= Recap Posts =============== */

	/** Recap Posts >> Drama title recap link **/
	.drama-title-recap a {
	font-size: 28px !important;
	font-weight: bold !important;
}


}


/*( Phone )*/
@media (max-width: 480px) {

	/*= Dramas ==================== */

	/** Dramas >> Grid container **/
	.grid-container {
	min-width: 100% !important;
	max-width: 100% !important;
	display: grid !important;
	grid-gap: 20px 2px !important;
	gap: 20px 2px !important;
	grid-template-columns: 1fr 1fr !important;
	display: grid !important;
}

	/** Dramas >> Grid items **/
	.grid-items {
	word-wrap: normal !important;
	width: 160px !important;
	min-width: 160px !important;
	max-width: 160px !important;
	box-sizing: content-box !important;
	justify-self: center !important;
}

	/** Dramas >> Drama image image **/
	.drama-image img {
	width: 160px !important;
	min-width: 160px !important;
	max-width: 160px !important;
	min-height: 240px !important;
	max-height: 240px !important;
	box-sizing: content-box !important;
	display: block !important;
}

	/** Dramas >> Drama title link **/
	.drama-title a {
	max-width: 170px !important;
	display: block !important;
}

	/** Dramas >> Drama image container **/
	.drama-image-container {
	height: 240px !important;
	min-height: 240px !important;
	max-height: 240px !important;
}


	/*= Drama Page ================ */

	/** Drama Page >> Drama stars container **/
	.drama-stars-container {
	width: 360px !important;
	min-width: 360px !important;
	max-width: 360px !important;
	box-sizing: content-box !important;
	display: grid !important;
	grid-template-columns: 1fr !important;
}

	/** Drama Page >> Drama casts picture image **/
	.drama-casts-picture img {
	width: 120px !important;
	min-width: 120px !important;
	max-width: 120px !important;
	height: 120px !important;
	min-height: 120px !important;
	max-height: 120px !important;
	position: relative !important;
	z-index: 1 !important;
}

	/** Drama Page >> Drama image **/
	.drama-image {
	height: 120px !important;
	min-height: 120px !important;
	max-height: 120px !important;
	box-sizing: content-box !important;
}

	/** Drama Page >> Drama casts item **/
	.drama-casts-item {
	height: 120px !important;
	min-height: 120px !important;
	max-height: 120px !important;
}

	/** Drama Page >> Drama cast detail **/
	.drama-cast-detail {
	background-color: rgb(234, 234, 234) !important;
	max-width: 200px !important;
	padding-top: 5% !important;
	padding-bottom: 5% !important;
	margin-left: -25px !important;
	position: relative !important;
	z-index: 0 !important;
}


	/*= All Stars Page ============ */

	/** All Stars Page >> Grid container **/
	.grid-container-stars {
	display: grid !important;
	grid-template-columns: 1fr 1fr !important;
	grid-template-rows: auto !important;
}

	/** All Stars Page >> Actor row **/
	.actor-row {
	-webkit-justify-content: center !important;
	justify-content: center !important;
	display: -webkit-box !important;
	display: -moz-box !important;
	display: -ms-flexbox !important;
	display: -webkit-flex !important;
	display: flex !important;
}

	/** All Stars Page >> Grid items stars **/
	.grid-items-stars {
	width: 180px !important;
	min-width: 180px !important;
	max-width: 180px !important;
	box-sizing: content-box !important;
}


}